//==============================================================================
#include "main.h"

extern unsigned char regim;
//==============================================================================
unsigned char getADC8(unsigned char nomeradc)
{ 
  ADCSRA=
    (1<<ADEN)|
    (5<<ADPS0);   // частота преобразователя Fclk/32

  ADMUX = 
    (1<<REFS0) |  // источник опорного напряжения = Vcc
    (nomeradc<<MUX0)|
    (1<<ADLAR);   // выравнивание влево 

  ADCSRA |= (1<<ADSC);
  
  while ((ADCSRA&_BV(ADIF)) == 0x00)
  {} 
  
  unsigned int _retval = ADCL;
  _retval=ADCH;

  if (regim==1) _delay_ms(10);  // яркие вспышки
  
  ADMUX &= ~(1<<REFS0);  	// опорное напряжение внешнее

  ADCSRA = 0;
  return _retval;
}
//==============================================================================

